Update an approval policy

Requires the APPROVAL_POLICY.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
source_typeenumOptional
The object type of this approval policy.
Allowed values:
referencestringOptionalformat: "^\S+$"0-256 characters

The human-readable reference to this approval policy.

namestringOptional
The name of this approval policy.
statusenum or nullOptional
The current status of the approval policy.
Allowed values:
approval_typeenumOptional
The type of approval process which needs to be followed if this approval policy is invoked.
Allowed values:
approversobjectOptional

The type of approve level and users who are allowed to approve/decline the approval review.

rule_groupslist of objectsOptional
The groups of rules that are applicable for this approval policy. These will be chained using OR.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
source_typeenum
The object type of this approval policy.
Allowed values:
referencestringformat: "^\S+$"0-256 characters

The human-readable reference to this approval policy.

namestring
The name of this approval policy.
statusenum or null
The current status of the approval policy.
Allowed values:
approval_typeenum
The type of approval process which needs to be followed if this approval policy is invoked.
Allowed values:
created_atstring or nullRead-only
When the approval policy was created.
update_atstring or nullRead-only
When the approval policy was updated last.
approversobject

The type of approve level and users who are allowed to approve/decline the approval review.

rule_groupslist of objects
The groups of rules that are applicable for this approval policy. These will be chained using OR.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error